Subject: Re: [BEHAVE] Question regarding RFC 5389 (STUN)

From: Philip Matthews <[email-masked]>
Date: Tue, 25 Sep 2012 16:47:14 -0400

Hi Todd:

Questions on STUN can be directed to the mailing list of the BEHAVE working group, which I have copied on this reply.

If I understand your question correctly, then you are asking if the Transaction ID field is modified when retransmitting requests sent over UDP  (section 7.2.1 of RFC 5389).  The answer is NO. These retransmissions are considered to be part of a single transaction.

- Philip

On 2012-09-20, at 14:05 , Todd Herman wrote:

> I have a STUN question and I can’t seem to find the mailing list that I should use to ask the question. 
>  
> I mostly need clarification on sending requests and RTO.  Section 7.2, the second paragraph, says that a client can have multiple transactions to the same server with different transaction IDs.  I need clarification if these are “new” transactions or retransmissions.  The discussion on retransmission follows this section so I just wanted to clarify that there is a distinct difference between “new transactions” and retransmitted transactions?  This will help me clarify that a retransmitted message is identical to the previously sent message, including the transaction ID.
>  
> If there is a more appropriate place that I should send this question (as I will most likely have more), please let me know.
>  
> Thanks,
> Todd Herman
>  
> 
>